<?php
require_once "../../functions.php";
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
$pag = basename($_SERVER['PHP_SELF']);
comprobar_postget('post', ['id'], $pag, false, '');
gen_plantilla(true, $pag, false, false, '', false, false);

$id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
$datos = consulta(
    "SELECT * FROM empleados WHERE id=?;",
    [$id],
    true
)[0];
?>
<dialog id='dialog' class="cristal" open>
    <h2>¿Estás seguro que deseas eliminar al empleado <b><?=$datos['nombre']?></b>?</h2>
    <span>Al eliminar un empleado no se eliminarán sus registros</span>
    <section class='flex row gap5 pa1'>
        <button id='cancelar' class="btn-t" title='Cancelar la eliminación'>Cancelar</button>
        <button id='eliminar' class="btn-d" value="<?= $id ?>" onclick="eliminar_empleado(<?= $id ?>)">Eliminar</button>
    </section>
</dialog>